%
% anyremote configuration file for tvtime management. (Server-mode Bemused emulation)
% Prerequisites amixer/pactl utility, Bemused client installed on cell phone
%

% STATUS stable
% XTEST no
% SOUND mixer
% ENV no

GuiAppName=TvTime
GuiAppBinary=tvtime
GuiAppRun=echo 'P=`ps -ef | grep tvtime | grep -v grep | grep -v anyremote | grep -v nedit`; if [ "x$P" == "x" ]; then echo NOK; else echo OK; fi' | bash -f -s
GuiAppIcon=tvtime.png
GuiAppType=Application
GuiAppProtocols=Bemused
GuiAppDesc=Tvtime is a high quality television application for use with video capture cards on Linux systems.

[Protocol]=Bemused

(Init)=\
	Include($(CfgDir)/Utils/aliases-bemused.cfg);\
	Macro(BEMUSED_SETUP);\
	Macro(SETUP_DEFAULT_MIXER);
	
(Connect)=\
	Exec(tvtime);

EXIT=Exec(tvtime-command QUIT > /dev/null)  
FFWD=Exec(tvtime-command UP > /dev/null) 
INF2=Send(string,INF2ACK);Send(bytes,128,0,0,0,128,0,0,0,1,0,0);Send(string,TvTime);Send(bytes,0,0)
INFO=Send(string,INFOACK);Send(bytes,128,0,0,0,128,0,0,0,1,0,0);Send(string,TvTime)
NEXT=Exec(tvtime-command UP) 
%PAUS
PLAY=Exec(tvtime-command TOGGLE_FULLSCREEN > /dev/null) 
PREV=Exec(tvtime-command DOWN > /dev/null) 
RWND=Exec(tvtime-command DOWN > /dev/null) 
STOP=Exec(tvtime-command TOGGLE_FULLSCREEN > /dev/null) 
VOLM($$)=Make(var,default_mixer_value,by_value,$(Param)%);Macro(DEFAULT_VOLUME_SET)

%GVOL=Send(string,GVOLNAK)
%FADE=Exec(tvtime-command TOGGLE_MUTE > /dev/null) 
GVOL=Macro(DEFAULT_GVOL);
FADE=Macro(DEFAULT_FADE);
PLEN=Macro(DEFAULT_PLEN);
PLST=Macro(DEFAULT_PLST);

%REPT
%SHFL
%SEEK=
%SLCT=

[End]
